# Import libraries
import clr
clr.AddReference("System.Windows.Forms")
import System.Windows.Forms

clr.AddReferenceByPartialName("System.Drawing")

from System.Drawing import Point
from System.Windows.Forms import Form, Button

gCounter = 0

# Generate Windows
myform      = System.Windows.Forms.Form()	# Generate window form
myform.Text = "My First GUI App"		# configurate window title
myform.Show()				# Show window

gPower = 0

# Generate button
mybutton          = System.Windows.Forms.Button()
mybutton.Text     = "Power On" 
mybutton.AutoSize = True
mybutton.Location = Point(100,100)  
myform.Controls.Add(mybutton)

# Define event
def on_mybutton_click(form, event_args):
   global gPower
   if gPower == 0:
      gPower = 1
      mybutton.Text     = "Power Off" 
      DSGateway.SetPower(1)
   else:
      gPower = 0
      mybutton.Text     = "Power On" 
      DSGateway.SetPower(0)


mybutton.Click += on_mybutton_click		# Add event function


# Define loop function (called by 50ms interval)
def loop():
	global gCounter
	gCounter += 1
	myform.Text = "VALUE=" + str(gCounter)
	return

