# Import libraries
import clr
clr.AddReference("System.Windows.Forms")
import System.Windows.Forms

clr.AddReferenceByPartialName("System.Drawing")

from System.Drawing import Point
from System.Windows.Forms import Form, Button

gCounter = 0
gSpeed = 0

# Generate Windows
myform      = System.Windows.Forms.Form()	# Generate window form
myform.Text = "My First GUI App"		# configurate window title
myform.Show()				# Show window

gPower = 0

# Generate button
mybutton          = System.Windows.Forms.Button()
mybutton.Text     = "Power On" 
mybutton.AutoSize = True
mybutton.Location = Point(10,10)  
myform.Controls.Add(mybutton)

# Generate button
button_speed          = System.Windows.Forms.Button()
button_speed.Text     = "Run Loc 2"
button_speed.AutoSize = True
button_speed.Location = Point(10,100)  
myform.Controls.Add(button_speed)

# Define event
def on_mybutton_click(form, event_args):
   global gPower
   if gPower == 0:
      gPower = 1
      mybutton.Text     = "Power Off" 
      DSGateway.SetPower(1)
   else:
      gPower = 0
      mybutton.Text     = "Power On" 
      DSGateway.SetPower(0)

# Define event
def on_button_speed_click(form, event_args):
   global gSpeed
   if gSpeed == 0:
      gSpeed = 1
      button_speed.Text     = "Stop Loc 2" 
      DSGateway.SetLocSpeed(MM2ADDRESS + 2, 128)
   else:
      gSpeed = 0
      button_speed.Text     = "Run Loc 2" 
      DSGateway.SetLocSpeed(MM2ADDRESS + 2, 0)




mybutton.Click += on_mybutton_click		# Add event function
button_speed.Click += on_button_speed_click		# Add event function

# Define loop function (called by 50ms interval)
def loop():
	global gCounter
	gCounter += 1
	myform.Text = "VALUE=" + str(gCounter)
	return

